Tips_and_Hacks/MAST_tW_PDF_Updater/FilesForUpdates/upload.bat

31 lines
841 B
Batchfile

echo "pushing ULB"
(cd "C:\Users\henry\Documents\WA_Repo\en_ulb";
git pull
git commit -a -m "$1"
git push) || { echo 'Could not commit!' >&2; exit 1; }
echo
echo
echo "pushing UDB"
(cd "C:\Users\henry\Documents\WA_Repo\en_udb";
git pull
git commit -a -m "$1"
git push) || { echo 'Could not commit!' >&2; exit 1; }
echo
echo
echo "pushing tW"
(cd "C:\Users\henry\Documents\WA_Repo\en_tw";
git pull
git commit -a -m "$1"
git push) || { echo 'Could not commit!' >&2; exit 1; }
echo
echo
echo "pushing tN"
(cd "C:\Users\henry\Documents\WA_Repo\en_tn";
git pull
git commit -a -m "$1"
git push) || { echo 'Could not commit!' >&2; exit 1; }
(cd "C:\Users\henry\Documents\WA_Repo\Tips_and_Hacks\MAST_tW_PDF_Updater\FilesForUpdates";
git pull
git commit -a -m "$1"
git push) || { echo 'Could not commit!' >&2; exit 1; }